org.springframework.expression.spel.ast

## Class OpDivide

- java.lang.Object
- - org.springframework.expression.spel.ast.SpelNodeImpl
  - - org.springframework.expression.spel.ast.Operator
    - - org.springframework.expression.spel.ast.OpDivide

All Implemented Interfaces:
  SpelNode

    public class OpDivide
    extends Operator

Implements division operator.

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller

### Field Summary

### Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`children, pos`

### Constructor Summary

Constructors
Constructor and Description
`OpDivide(int pos, SpelNodeImpl... operands)`

### Method Summary

Methods
`TypedValue` `getValueInternal(ExpressionState state)`

### Methods inherited from class org.springframework.expression.spel.ast.Operator

`getLeftOperand, getOperatorName, getRightOperand, toStringAST`

### Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, getValueRef, isWritable, nextChildIs, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpDivide

    public OpDivide(int pos,
            SpelNodeImpl... operands)

### Method Detail

#### getValueInternal

    public TypedValue getValueInternal(ExpressionState state)
                                throws EvaluationException

Specified by:
  `getValueInternal` in class `SpelNodeImpl`
Throws:
  `EvaluationException`